C ********************************************************************
C * ICONC - Extended Hueckel Calculations                            *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************

C ********************************************************************
C *                                                                  *
C *  ICONPARA                                                        *
C *                                                                  *
C *  Includefile for ICONC (QCMP #116)                               *
C *                                                                  *
C *  Usage......: Defines dimension of ICONC.                        *
C *                                                                  *
C *  Author.....: Martin Braendle (mbs)                              *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Department of Chemistry and Biochemistry           *
C *               Freiestr. 3                                        *
C *               CH-3012 Berne                                      *
C *  Date.......: 03.05.93                                           *
C *  Revision...: -                                                  *
C *  Remarks....: -                                                  *
C ********************************************************************
C
C IQ,IY : Now obsolete. 
C MXATOM: Maximum number of atoms
C MXITER: Maximum number of atoms to be charge iterated. Equals to the
C         maximum number of different element symbols.
C MXSETK: Maximum number of individual (kappa,delta) sets.
C MXOMIT: Maximum number of atoms to be omitted from repulsion energy
C         calculation.
C MXAOOC: Maximum number of individual electron configurations
C 
      PARAMETER (MXATOM=100,MXITER=20)
      PARAMETER (MXSETK=10,MXOMIT=10,MXAOOC=10)
